Bug 74304 - Update of sysutils/jdiskreport
Summary: Update of sysutils/jdiskreport
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-23 22:50 UTC by Alexander Usov
Modified: 2004-11-26 21:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Usov 2004-11-23 22:50:00 UTC
Update sysutils/jdiskinfo to version 1.2.1

Fix: Makefile diff:



PORTNAME=      jdiskreport
-PORTVERSION=   1.1.2
-PORTREVISION=  1
+PORTVERSION=   1.2.1
 CATEGORIES=    sysutils java
 MASTER_SITES=  http://www.jGoodies.com/download/${PORTNAME}/
 DISTNAME=      ${PORTNAME}-${PORTVERSION:S,.,_,g}
@@ -18,7 +17,7 @@
 RUN_DEPENDS=   ${JAVAVM}:${PORTSDIR}/java/javavmwrapper

 USE_ZIP=       YES
-USE_JAVA=      1.3
+USE_JAVA=      1.4

 PLIST_SUB=     JDISKDIR=${JDISKDIR:S,${PREFIX}/,,g}
 PLIST_SUB+=    PORTVERSION=${PORTVERSION}

New distinfo:
MD5 (jdiskreport-1_2_1.zip) = d9c87baff97aadbdfbfc8ef45edbb626
SIZE (jdiskreport-1_2_1.zip) = 751348--jvOqzQDP87fdBaVJmYoChbGcByL7JesizjVAMFIoCNDIs56i
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Tue Nov 23 23:30:05 2004
+++ Makefile    Tue Nov 23 23:30:44 2004
@@ -6,8 +6,7 @@
 #
Comment 1 Herve Quiroz freebsd_committer 2004-11-24 02:20:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Herve Quiroz freebsd_committer 2004-11-24 17:12:00 UTC
Dear maintainer,

Could you please review this PR for sysutils/jdiskreport:
http://www.freebsd.org/cgi/query-pr.cgi?pr=74304

Herve
Comment 3 Herve Quiroz freebsd_committer 2004-11-24 17:12:09 UTC
State Changed
From-To: open->feedback

Maintainer asked for approval. 

BTW, please CC the maintainer while sending a PR.
Comment 4 jon 2004-11-25 16:26:40 UTC
> Dear maintainer,
>
> Could you please review this PR for sysutils/jdiskreport:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=74304

I've tested it; it looks fine.

Cheers,

--Jon
Comment 5 Herve Quiroz freebsd_committer 2004-11-26 21:05:37 UTC
State Changed
From-To: feedback->closed

Patch commited with some modifications: 

- Update to bsd.java.mk 2.0 
- Update to javavmwrapper 2.0 

BTW, here are a few suggestion for future updates of this port: 

- The Porter's handbook [1] encourages ports to install Java application JAR 
files into ${DATADIR} with DATADIR=${JAVASHAREDIR}/${PORTNAME}, unless it is 
a libray, in which particular case JAR files should be installed in 
${JAVAJARDIR}. Moreocer, DATADIR is automatically added to PLIST_SUB (see 
below). 
- If the application requires a JDK version >1.4 then it should define 
JAVA_VERSION="1.4+" in the launcher script before running 'java'. Indeed 
depending of the state of the JVM list, some other not-compliant JDK could be 
run instead (this is a new feature in javavmwrapper 2.0). 
- I would suggest to perform configuration sed magic in the do-configure target 
rather than do-build. This way, the port could define NO_BUILD as it doesn't 
actually build anything. 
- With only two files and one directory in pkg-plist, and given the complexity 
of the PLIST_SUB stuff performed, the port could rather use PLIST_FILES and 
PLIST_DIRS and remove pkg-plist. 

I would be glad to work with you (the submitter and/or the maintainer) on these 
issues. 

[1] The Porter's handbook - Using Java - Best Practices 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html#JAVA-BEST-PRACTICES